Error Handling(3)

NAME
Error Handling - error handling functions of the CUDA runtime API (cuda_runtime_api.h)

  Functions

__cudart_builtin__ const char * cudaGetErrorName (cudaError_t error)
Returns the string representation of an error code enum name.
__cudart_builtin__ const char * cudaGetErrorString (cudaError_t error)
Returns the description string for an error code.
__cudart_builtin__ cudaError_t cudaGetLastError (void)
Returns the last error from a runtime call.
__cudart_builtin__ cudaError_t cudaPeekAtLastError (void)
Returns the last error from a runtime call.

Detailed Description

This section describes the error handling functions of the CUDA runtime application programming interface.

Function Documentation

  __cudart_builtin__ const char* cudaGetErrorName (cudaError_t error)

Returns a string containing the name of an error code in the enum. If the error code is not recognized, 'unrecognized error code' is returned.

Parameters:
    error - Error code to convert to string

Returns:
    char* pointer to a NULL-terminated string

See also:
    cudaGetErrorString, cudaGetLastError, cudaPeekAtLastError, cudaError, cuGetErrorName

  __cudart_builtin__ const char* cudaGetErrorString (cudaError_t error)

Returns the description string for an error code. If the error code is not recognized, 'unrecognized error code' is returned.

Parameters:
    error - Error code to convert to string

Returns:
    char* pointer to a NULL-terminated string

See also:
    cudaGetErrorName, cudaGetLastError, cudaPeekAtLastError, cudaError, cuGetErrorString

  __cudart_builtin__ cudaError_t cudaGetLastError (void)

Returns the last error that has been produced by any of the runtime calls in the same host thread and resets it to cudaSuccess.

Returns:
    cudaSuccess, cudaErrorMissingConfiguration, cudaErrorMemoryAllocation, cudaErrorInitializationError, cudaErrorLaunchFailure, cudaErrorLaunchTimeout, cudaErrorLaunchOutOfResources, cudaErrorInvalidDeviceFunction, cudaErrorInvalidConfiguration, cudaErrorInvalidDevice, cudaErrorInvalidValue, cudaErrorInvalidPitchValue, cudaErrorInvalidSymbol, cudaErrorUnmapBufferObjectFailed, cudaErrorInvalidDevicePointer, cudaErrorInvalidTexture, cudaErrorInvalidTextureBinding, cudaErrorInvalidChannelDescriptor, cudaErrorInvalidMemcpyDirection, cudaErrorInvalidFilterSetting, cudaErrorInvalidNormSetting, cudaErrorUnknown, cudaErrorInvalidResourceHandle, cudaErrorInsufficientDriver, cudaErrorSetOnActiveProcess, cudaErrorStartupFailure, cudaErrorInvalidPtx, cudaErrorNoKernelImageForDevice, cudaErrorJitCompilerNotFound

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cudaPeekAtLastError, cudaGetErrorName, cudaGetErrorString, cudaError

  __cudart_builtin__ cudaError_t cudaPeekAtLastError (void)

Returns the last error that has been produced by any of the runtime calls in the same host thread. Note that this call does not reset the error to cudaSuccess like cudaGetLastError().

Returns:
    cudaSuccess, cudaErrorMissingConfiguration, cudaErrorMemoryAllocation, cudaErrorInitializationError, cudaErrorLaunchFailure, cudaErrorLaunchTimeout, cudaErrorLaunchOutOfResources, cudaErrorInvalidDeviceFunction, cudaErrorInvalidConfiguration, cudaErrorInvalidDevice, cudaErrorInvalidValue, cudaErrorInvalidPitchValue, cudaErrorInvalidSymbol, cudaErrorUnmapBufferObjectFailed, cudaErrorInvalidDevicePointer, cudaErrorInvalidTexture, cudaErrorInvalidTextureBinding, cudaErrorInvalidChannelDescriptor, cudaErrorInvalidMemcpyDirection, cudaErrorInvalidFilterSetting, cudaErrorInvalidNormSetting, cudaErrorUnknown, cudaErrorInvalidResourceHandle, cudaErrorInsufficientDriver, cudaErrorSetOnActiveProcess, cudaErrorStartupFailure, cudaErrorInvalidPtx, cudaErrorNoKernelImageForDevice, cudaErrorJitCompilerNotFound

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cudaGetLastError, cudaGetErrorName, cudaGetErrorString, cudaError

Author

Generated automatically by Doxygen from the source code.